Bug 111232 - Fedora Core 1 driver disk does not include advansys SCSI module
Fedora Core 1 driver disk does not include advansys SCSI module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-30 23:47 EST by Brian Wright
Modified: 2015-01-04 17:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-19 10:44:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Wright 2003-11-30 23:47:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; Galeon)
Gecko/20031017 Galeon/1.3.10

Description of problem:
The block driver disk image does not contain a driver for the Advansys
UltraSCSI controller.  I was unable to install Fedora via the CD and
had to copy the files to the hard drive.

I feel that it was a critical error not to include the Advansys module
since quite a few people use this SCSI controller.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. I type "linux dd" at the boot prompt when I boot into the Fedora
Core installation disk
2. The Advansys SCSI controller is not autodetected
3. I do a manual driver selection, and the Advansys driver is not listed
    

Actual Results:  I am not able to continue installing Fedora Core 1

Expected Results:  There should have been a driver module for the
Advansys UltraSCSI controller.

Additional info:  None of the listed SCSI drivers will work with the
Advansys controller
Comment 1 Dave Jones 2003-12-17 22:52:14 EST
side effect of it being in the unsupported directory maybe?

(03:50:34:davej@delerium:davej)$ find /lib/modules/2.4.22-1.2115.nptl
| grep advansys
/lib/modules/2.4.22-1.2115.nptl/unsupported/drivers/scsi/advansys.o
Comment 2 Brian Wright 2003-12-18 00:16:12 EST
It would seem so... I think those unsupported drivers should be made
available on the driver disk in the event a user has that hardware on
their systemk, even though they're unsupported.  I feel that Fedora
should support these, so that people don't have to buy new hardware
right away.
Comment 3 Dan Blomberg 2004-04-09 10:30:45 EDT
are these drivers going to be supported in FC 2?
Comment 4 Tom Lianza 2004-05-19 06:39:46 EDT
Apparently not.... I'm running into the same problem with FC2.
Comment 5 Brian Wright 2004-05-19 11:18:41 EDT
Tom:  Does that happen when you try to do a hard drive install with
the boot CD, or booting off of FC2 disk 1?
Comment 6 Adi Fairbank 2004-06-13 17:02:09 EDT
FYI (to save someone some time)

I could get Fedora Core 2 to install on my SCSI drives thru an advansys controller by 
manually installing the driver before graphical anaconda started.  I bet this procedure 
will also work for Core 1.

 1. when the screen pops up asking to install additional drivers, switch over to 2nd 
virtual terminal (alt-F2)
 2. extract the advansys driver from the kernel rpm on your CD:
   # cd /tmp
   # rpm2cpio /mnt/source/Fedora/RPMS/kernel-2.6.5-1.358.i586.rpm | cpio -i -d 
--no-absolute-filenames '*advansys.ko'
   # modprobe lib/modules/2.6.5-1.358/kernel/drivers/scsi/advansys.ko
 3. switch back to virtual terminal 1 and continue with install

Hope that helps someone.

Hopefully in FC3 the advansys driver will be in the additional drivers so you don't 
have to do it manually.  Maybe I'll do it myself and send a patch.

Note You need to log in before you can comment on or make changes to this bug.